import { IHeaderParams, IHeaderComp } from "@ag-grid-community/core";
export default class SelectionHeader implements IHeaderComp {
  private element;
  private checkBox;
  private headerCheckStatusGetter;
  private updatingValue;
  updateCheckbox(): void;
  init(params: IHeaderParams): void;
  getGui(): HTMLElement;
  destroy(): void;
  refresh(_params: IHeaderParams): boolean;
}
